<section class="container">
  <header class="header d-flex">
    <div class="buscar-pensamentos">
      <input (keyup)="pesquisarPensamentos()" [(ngModel)]="filtro" type="search" class="filtro"
        placeholder="O que você procura?" autofocus>
      <img src="/assets/imagens/lupa.png" alt="Lupa azul">
    </div>
    <h2 class="ff-inter">{{ titulo }}</h2>
    <div class="botoes">
      <button class="botao" (click)="recaregarComponente()">Meu Mural</button>
      <button class="botao" (click)="listarFavoritos()">Meus Favoritos</button>
      <button routerLink="/criarPensamento" class="botao">Novo pensamento</button>
    </div>
  </header>
  <div class="mural" *ngIf="listaPensamentos.length > 0, else semPensamentos">
    <div *ngFor="let pensamento of listaPensamentos">
      <app-pensamento [pensamento]="pensamento" [listaFavoritos]="listaFavoritos"></app-pensamento>
    </div>
  </div>
</section>
<app-botao-carregar-mais [haMaisPensamentos]="haMaisPensamentos" (click)="carregarMaisPensamentos()">
  Clique
</app-botao-carregar-mais>
<ng-template #semPensamentos>
  <div class="ff-inter sem-pensamentos">
    <p>Ainda não há pensamentos cadastrados!</p>
  </div>
</ng-template>